Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 457594 - x11-drivers/nvidia-drivers: some elog messages could be shown only first time using readme.gentoo.eclass
Summary: x11-drivers/nvidia-drivers: some elog messages could be shown only first time...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: first-time-messages
  Show dependency tree
 
Reported: 2013-02-14 19:27 UTC by Pacho Ramos
Modified: 2013-10-12 15:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
1.patch (1.patch,2.26 KB, patch)
2013-10-12 14:05 UTC, Pacho Ramos
Details | Diff
1.patch (1.patch,986 bytes, patch)
2013-10-12 14:37 UTC, Pacho Ramos
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2013-02-14 19:27:51 UTC
People would then see that messages if they want looking to README.gentoo file also.

These are the messages that could use this eclass, I can do the changes myself if you let me do:
        elog "You must be in the video group to use the NVIDIA device"
        elog "For more info, read the docs at"
        elog "http://www.gentoo.org/doc/en/nvidia-guide.xml#doc_chap3_sect6"
        elog
        elog "This ebuild installs a kernel module and X driver. Both must"
        elog "match explicitly in their version. This means, if you restart"
        elog "X, you must modprobe -r nvidia before starting it back up"
        elog
        elog "To use the NVIDIA GLX, run \"eselect opengl set nvidia\""
        elog
        elog "To use the NVIDIA CUDA/OpenCL, run \"eselect opencl set nvidia\""
        elog
        elog "NVIDIA has requested that any bug reports submitted have the"
        elog "output of /opt/bin/nvidia-bug-report.sh included."
        elog
        if ! use X; then
                elog "You have elected to not install the X.org driver. Along with"
                elog "this the OpenGL libraries and VDPAU libraries were not"
                elog "installed. Additionally, once the driver is loaded your card"
                elog "and fan will run at max speed which may not be desirable."
                elog "Use the 'nvidia-smi' init script to have your card and fan"
                elog "speed scale appropriately."
                elog
        fi
        if ! use tools; then
                elog "USE=tools controls whether the nvidia-settings application"
                elog "is installed. If you would like to use it, enable that"
                elog "flag and re-emerge this ebuild. Optionally you can install"
                elog "media-video/nvidia-settings"
                elog
        fi


Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2013-02-15 07:29:28 UTC
Why I need to read the same messages always in my summary.log?
Comment 2 Pacho Ramos gentoo-dev 2013-10-11 17:22:11 UTC
I can do this myself if you let me do :)
Comment 3 Pacho Ramos gentoo-dev 2013-10-12 14:05:24 UTC
Created attachment 360708 [details, diff]
1.patch
Comment 4 Jeroen Roovers gentoo-dev 2013-10-12 14:16:10 UTC
Comment on attachment 360708 [details, diff]
1.patch

Ok, that looks promising. But instead of repeating these messages in every ebuild, I'd rather migrate them to nvidia-driver.eclass...
Comment 5 Pacho Ramos gentoo-dev 2013-10-12 14:27:05 UTC
(In reply to Jeroen Roovers from comment #4)
> Comment on attachment 360708 [details, diff] [details, diff]
> 1.patch
> 
> Ok, that looks promising. But instead of repeating these messages in every
> ebuild, I'd rather migrate them to nvidia-driver.eclass...

I am unsure about that: nvidia-driver.eclass doesn't take care of src_install neither pkg_postinst and, then, create and print doc calls should be kept in ebuilds. I guess you refer to setting DOC_CONTENTS in eclass?
Comment 6 Jeroen Roovers gentoo-dev 2013-10-12 14:31:38 UTC
(In reply to Pacho Ramos from comment #5)
> I am unsure about that: nvidia-driver.eclass doesn't take care of
> src_install neither pkg_postinst and, then, create and print doc calls
> should be kept in ebuilds. I guess you refer to setting DOC_CONTENTS in
> eclass?

Yes, just the inherit and the messages in the eclass, and call readme.gentoo_create_doc in pkg_postinst() in the ebuilds, I should think.
Comment 7 Pacho Ramos gentoo-dev 2013-10-12 14:37:08 UTC
Created attachment 360710 [details, diff]
1.patch

This is the change needed for eclass, just tested it work ok (after dropping that same lines from the ebuild)
Comment 8 Jeroen Roovers gentoo-dev 2013-10-12 14:42:02 UTC
(In reply to Pacho Ramos from comment #7)
> Created attachment 360710 [details, diff] [details, diff]
> 1.patch
> 
> This is the change needed for eclass, just tested it work ok (after dropping
> that same lines from the ebuild)

Yes, I have that in place already (but not committed yet) and I am working on the ebuilds...
Comment 9 Jeroen Roovers gentoo-dev 2013-10-12 15:14:54 UTC
Fixed. Thanks for the suggested changes/patches.